#ifndef DIGITALOUTPUTABSTRACTION_H
#define DIGITALOUTPUTABSTRACTION_H


#include <QObject>

class hwinf;
class QFileSystemWatcher;


class DigitalOutputAbstraction : public QObject
{
    Q_OBJECT

public:
    DigitalOutputAbstraction(hwinf *dc, QObject *parent = nullptr);
    bool addCCWake(const QString file);
    bool addCCPower(const QString file);
    bool addCCModem(const QString file);


private:
    hwinf *dc;
    QFileSystemWatcher *fileMonitor;

    QString modemPowerPath;
    QString ccPowerPath;
    QString ccWakePath;

    void fileChanged(const QString &path);

    void private_modemPowerChanged();
    void private_ccPowerChanged();
    void private_ccWakeChanged();
};

#endif // DIGITALOUTPUTABSTRACTION_H
